Update bot in session
curl --request POST \
--url https://chat.aichatbotpro.com.au/api/v1/sessions/{sessionId}/updateTypebot \
--header 'Authorization: Bearer <token>'import requests
url = "https://chat.aichatbotpro.com.au/api/v1/sessions/{sessionId}/updateTypebot"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://chat.aichatbotpro.com.au/api/v1/sessions/{sessionId}/updateTypebot', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "success"
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Chat
Update bot in session
Update chat session with latest bot modifications. This is useful when you want to update the bot in an ongoing session after making changes to it.
POST
/
v1
/
sessions
/
{sessionId}
/
updateTypebot
Update bot in session
⌘I